# MULdap

A tool to manage LDAP resources, built in Go

## About

MULdap (short for Metaunix LDAP) is a CLI tool built for easily managing an LDAP directory. The goal is to be very configurable to fit in different environments, while also still being rather secure (e.g. not requiring a plaintext file be world readable somewhere). MULdap has "user" and "group" resources, which give some structure to those LDAP resources, albeit slightly opinionated - there will be more resources added later as this tool grows! MULdap can also add and delete resources using LDIF files.

## Runtime Requirements

Currently this has only been tested to work on Linux systems.

## Use

The currently available commands are: `version`, `setup`, `search, `ldif`, `user`, `group`

### Version command

`muldap version`

Displays the current version of this application.


### Setup command

`muldap setup`

Sets up your user environment with some default configuration to start using this tool.

### Search command

`muldap search -f objectClass=top`

Searches your LDAP directory. You can supply a filter using the `-f` flag.

## Build

### Requirements

You will need `Dep` and Go 1.7 installed and in your PATH.

### Build Binary

`cd` to the source directory, then install dependencies:

`dep ensure`

Build using Go:

`go build`

## Contributing

Feel free to fork/clone/whatever this repo and make changes!

## License

This program is distributed under the BSD 2-Clause License.
